{ config
, pkgs
, inputs
, ...
}:
let
  wallpaper = inputs.nix-wallpaper.packages.${pkgs.system}.default.override {
    logoSize = 24;
    preset = "gruvbox-dark-rainbow";
  };
  wallpaperPath = "${wallpaper}/share/wallpapers/nixos-wallpaper.png";
in
{
  programs.mpv = {
    enable = true;
    package = pkgs.unstable-pkgs.mpv;
  };

  home = {
    file.".background".source = wallpaperPath;

    packages = with pkgs.unstable-pkgs; [
      airshipper
      ardour
      blender
      bitwarden
      brave
      cavalier
      freetube
      filelight
      element-desktop
      inkscape
      jellyfin-media-player
      miraclecast
      kate
      kdenlive
      krita
      libsForQt5.kdeconnect-kde
      libsForQt5.plasma-vault
      libsForQt5.plasma-browser-integration
      natron
      neofetch
      nextcloud-client
      onlyoffice-bin
      protonup-qt
      rustdesk
      signal-desktop
      tutanota-desktop
      thunderbird
      webcord-vencord
    ];
  };
}
