{ config
, lib
, pkgs
, ...
}: {
  boot = {
    initrd.availableKernelModules = [ "amdgpu" ];
    kernelModules = [ "amdgpu" ];
    # kernelParams = [ "amdgpu.ppfeaturemask=0xffffffff" ];
  };

  programs.corectrl = {
    enable = true;
    gpuOverclock.enable = true;
  };

  services.xserver.videoDrivers = [ "amdgpu" ];
  systemd.tmpfiles.rules = [
    "L+    /opt/rocm/hip   -    -    -     -    ${pkgs.rocmPackages.clr}"
  ];
  hardware.opengl = {
    driSupport = true;
    driSupport32Bit = true;
    extraPackages = with pkgs; [
      rocm-opencl-icd
      rocm-opencl-runtime
    ];
  };
}
