{ config
, lib
, pkgs
, ...
}: {
  networking.networkmanager.enable = true;
  networking.nameservers = [
    "1.1.1.1#one.one.one.one"
    "1.0.0.1#one.one.one.one"
    "100.64.0.8#dns.vlt81.de"
    #      "23.88.68.113#dns.vlt81.de"
    #      "2a01:4f8:272:5917::baad:c0de#dns.vlt81.de"
    #      "45.90.28.0#921984.dns.nextdns.io"
    #      "45.90.30.0#921984.dns.nextdns.io"
  ];

  services = {
    resolved = {
      enable = true;
      dnssec = "true";
      domains = [ "~." ];
      fallbackDns = [
        #        "1.1.1.1#one.one.one.one"
        #        "1.0.0.1#one.one.one.one"
        "45.90.28.0#921984.dns.nextdns.io"
        "45.90.30.0#921984.dns.nextdns.io"
        "2a07:a8c0::#921984.dns.nextdns.io"
        "2a07:a8c1::#921984.dns.nextdns.io"
      ];
      extraConfig = ''
        DNSOverTLS=yes
      '';
    };

    tailscale = {
      enable = true;
      useRoutingFeatures = "both";
    };

    mozillavpn = {
      enable = true;
    };
  };
}
