{ config
, lib
, pkgs
, ...
}: {
  environment.systemPackages = with pkgs.unstable-os; [
    virtiofsd
    virt-manager
    virt-viewer
    virt-top
    spice-gtk
  ];

  virtualisation.docker = {
    enable = true;
    package = pkgs.unstable-os.docker;

    storageDriver = "btrfs";
  };

  virtualisation.libvirtd = {
    enable = true;
    package = pkgs.unstable-os.libvirt;

    onShutdown = "suspend";
    onBoot = "ignore";

    qemu = {
      package = pkgs.qemu_kvm;
      ovmf.enable = true;
      ovmf.packages = [ pkgs.OVMFFull.fd ];
      swtpm.enable = true;
      runAsRoot = false;
    };
  };

  services.udev.extraRules = ''
    SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", MODE="0664", GROUP="wheel"
  '';
}
